#include "pngfile.h"
#include <LittleFS.h>


File fpng;


void *png_open(const char *filename, int32_t *size)
{
	fpng = LittleFS.open(filename, "r");

  	if (!fpng || fpng.isDirectory()) {
		// error
	} else {
    	// good
  	}

  	return &fpng;
}

void png_close(void *handle)
{
	if (fpng) fpng.close();
}

int32_t png_read(PNGFILE *handle, uint8_t *buffer, int32_t length)
{
	if (!fpng) return 0;

	Serial.println("png: read");

  	return fpng.read(buffer, length);
}

int32_t png_seek(PNGFILE *handle, int32_t position)
{
	if (!fpng) return 0;

	Serial.printf("png: seek %i\n", position);

	return fpng.seek(position);
}
